Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javacard.framework.service
Class ServiceException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  javacard.framework.CardRuntimeException
                      javacard.framework.service.ServiceException

All Implemented Interfaces:
  Serializable

    public class ServiceException

extends CardRuntimeException

See Also:
  Serialized Form

Field Summary
`static short` | `CANNOT_ACCESS_IN_COMMAND`
`static short` | `CANNOT_ACCESS_OUT_COMMAND`
`static short` | `COMMAND_DATA_TOO_LONG`
`static short` | `COMMAND_IS_FINISHED`
`static short` | `DISPATCH_TABLE_FULL`
`static short` | `ILLEGAL_PARAM`
`static short` | `REMOTE_OBJECT_NOT_EXPORTED`

Constructor Summary
`ServiceException(short reason)`

Method Summary
`static void` | `throwIt(short reason)`

Methods inherited from class javacard.framework.CardRuntimeException
`getReason, setReason`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### CANNOT_ACCESS_IN_COMMAND

    public static final short CANNOT_ACCESS_IN_COMMAND

See Also:
  Constant Field Values

### CANNOT_ACCESS_OUT_COMMAND

    public static final short CANNOT_ACCESS_OUT_COMMAND

See Also:
  Constant Field Values

### COMMAND_DATA_TOO_LONG

    public static final short COMMAND_DATA_TOO_LONG

See Also:
  Constant Field Values

### COMMAND_IS_FINISHED

    public static final short COMMAND_IS_FINISHED

See Also:
  Constant Field Values

### DISPATCH_TABLE_FULL

    public static final short DISPATCH_TABLE_FULL

See Also:
  Constant Field Values

### ILLEGAL_PARAM

    public static final short ILLEGAL_PARAM

See Also:
  Constant Field Values

### REMOTE_OBJECT_NOT_EXPORTED

    public static final short REMOTE_OBJECT_NOT_EXPORTED

See Also:
  Constant Field Values

Constructor Detail

### ServiceException

    public ServiceException(short reason)

Method Detail

### throwIt

    public static void throwIt(short reason)
                        throws ServiceException

  Throws:
    `ServiceException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD